# OrderCloud::ImpersonationConfigApi

All URIs are relative to *https://api.ordercloud.io/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](ImpersonationConfigApi.md#create) | **POST** /impersonationconfig | 
[**delete**](ImpersonationConfigApi.md#delete) | **DELETE** /impersonationconfig/{impersonationConfigID} | 
[**get**](ImpersonationConfigApi.md#get) | **GET** /impersonationconfig/{impersonationConfigID} | 
[**list**](ImpersonationConfigApi.md#list) | **GET** /impersonationconfig | 
[**patch**](ImpersonationConfigApi.md#patch) | **PATCH** /impersonationconfig/{impersonationConfigID} | 
[**update**](ImpersonationConfigApi.md#update) | **PUT** /impersonationconfig/{impersonationConfigID} | 


# **create**
> ImpersonationConfig create(impersonation_config)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::ImpersonationConfigApi.new

impersonation_config = OrderCloud::ImpersonationConfig.new # ImpersonationConfig | 


begin
  result = api_instance.create(impersonation_config)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling ImpersonationConfigApi->create: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **impersonation_config** | [**ImpersonationConfig**](ImpersonationConfig.md)|  | 

### Return type

[**ImpersonationConfig**](ImpersonationConfig.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **delete**
> delete(impersonation_config_id)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::ImpersonationConfigApi.new

impersonation_config_id = "impersonation_config_id_example" # String | ID of the impersonation config.


begin
  api_instance.delete(impersonation_config_id)
rescue OrderCloud::ApiError => e
  puts "Exception when calling ImpersonationConfigApi->delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **impersonation_config_id** | **String**| ID of the impersonation config. | 

### Return type

nil (empty response body)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **get**
> ImpersonationConfig get(impersonation_config_id)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::ImpersonationConfigApi.new

impersonation_config_id = "impersonation_config_id_example" # String | ID of the impersonation config.


begin
  result = api_instance.get(impersonation_config_id)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling ImpersonationConfigApi->get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **impersonation_config_id** | **String**| ID of the impersonation config. | 

### Return type

[**ImpersonationConfig**](ImpersonationConfig.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list**
> ListImpersonationConfig list(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::ImpersonationConfigApi.new

opts = { 
  search: "search_example", # String | Search of the impersonation config.
  search_on: ["search_on_example"], # Array<String> | Search on of the impersonation config.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the impersonation config.
  page: 56, # Integer | Page of the impersonation config.
  page_size: 56, # Integer | Page size of the impersonation config.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the impersonation config.
}

begin
  result = api_instance.list(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling ImpersonationConfigApi->list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **search** | **String**| Search of the impersonation config. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the impersonation config. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the impersonation config. | [optional] 
 **page** | **Integer**| Page of the impersonation config. | [optional] 
 **page_size** | **Integer**| Page size of the impersonation config. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the impersonation config. | [optional] 

### Return type

[**ListImpersonationConfig**](ListImpersonationConfig.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **patch**
> ImpersonationConfig patch(impersonation_config_id, impersonation_config)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::ImpersonationConfigApi.new

impersonation_config_id = "impersonation_config_id_example" # String | ID of the impersonation config.

impersonation_config = OrderCloud::ImpersonationConfig.new # ImpersonationConfig | 


begin
  result = api_instance.patch(impersonation_config_id, impersonation_config)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling ImpersonationConfigApi->patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **impersonation_config_id** | **String**| ID of the impersonation config. | 
 **impersonation_config** | [**ImpersonationConfig**](ImpersonationConfig.md)|  | 

### Return type

[**ImpersonationConfig**](ImpersonationConfig.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **update**
> ImpersonationConfig update(impersonation_config_id, impersonation_config)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::ImpersonationConfigApi.new

impersonation_config_id = "impersonation_config_id_example" # String | ID of the impersonation config.

impersonation_config = OrderCloud::ImpersonationConfig.new # ImpersonationConfig | 


begin
  result = api_instance.update(impersonation_config_id, impersonation_config)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling ImpersonationConfigApi->update: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **impersonation_config_id** | **String**| ID of the impersonation config. | 
 **impersonation_config** | [**ImpersonationConfig**](ImpersonationConfig.md)|  | 

### Return type

[**ImpersonationConfig**](ImpersonationConfig.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



