# OrderCloud::MeApi

All URIs are relative to *https://api.ordercloud.io/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create_address**](MeApi.md#create_address) | **POST** /me/addresses | 
[**create_credit_card**](MeApi.md#create_credit_card) | **POST** /me/creditcards | 
[**delete_address**](MeApi.md#delete_address) | **DELETE** /me/addresses/{addressID} | 
[**delete_credit_card**](MeApi.md#delete_credit_card) | **DELETE** /me/creditcards/{creditcardID} | 
[**get**](MeApi.md#get) | **GET** /me | 
[**get_address**](MeApi.md#get_address) | **GET** /me/addresses/{addressID} | 
[**get_catalog**](MeApi.md#get_catalog) | **GET** /me/catalogs/{catalogID} | 
[**get_credit_card**](MeApi.md#get_credit_card) | **GET** /me/creditcards/{creditcardID} | 
[**get_product**](MeApi.md#get_product) | **GET** /me/products/{productID} | 
[**get_promotion**](MeApi.md#get_promotion) | **GET** /me/promotions/{promotionID} | 
[**get_shipment**](MeApi.md#get_shipment) | **GET** /me/shipments/{shipmentID} | 
[**get_spec**](MeApi.md#get_spec) | **GET** /me/products/{productID}/specs/{specID} | 
[**get_spending_account**](MeApi.md#get_spending_account) | **GET** /me/spendingaccounts/{spendingAccountID} | 
[**list_addresses**](MeApi.md#list_addresses) | **GET** /me/addresses | 
[**list_approvable_orders**](MeApi.md#list_approvable_orders) | **GET** /me/orders/approvable | 
[**list_catalogs**](MeApi.md#list_catalogs) | **GET** /me/catalogs | 
[**list_categories**](MeApi.md#list_categories) | **GET** /me/categories | 
[**list_cost_centers**](MeApi.md#list_cost_centers) | **GET** /me/costcenters | 
[**list_credit_cards**](MeApi.md#list_credit_cards) | **GET** /me/creditcards | 
[**list_orders**](MeApi.md#list_orders) | **GET** /me/orders | 
[**list_products**](MeApi.md#list_products) | **GET** /me/products | 
[**list_promotions**](MeApi.md#list_promotions) | **GET** /me/promotions | 
[**list_shipment_items**](MeApi.md#list_shipment_items) | **GET** /me/shipments/{shipmentID}/items | 
[**list_shipments**](MeApi.md#list_shipments) | **GET** /me/shipments | 
[**list_specs**](MeApi.md#list_specs) | **GET** /me/products/{productID}/specs | 
[**list_spending_accounts**](MeApi.md#list_spending_accounts) | **GET** /me/spendingAccounts | 
[**list_user_groups**](MeApi.md#list_user_groups) | **GET** /me/usergroups | 
[**patch**](MeApi.md#patch) | **PATCH** /me | 
[**patch_address**](MeApi.md#patch_address) | **PATCH** /me/addresses/{addressID} | 
[**patch_credit_card**](MeApi.md#patch_credit_card) | **PATCH** /me/creditcards/{creditcardID} | 
[**register**](MeApi.md#register) | **PUT** /me/register | 
[**reset_password_by_token**](MeApi.md#reset_password_by_token) | **POST** /me/password | 
[**transfer_anon_user_order**](MeApi.md#transfer_anon_user_order) | **PUT** /me/orders | 
[**update**](MeApi.md#update) | **PUT** /me | 
[**update_address**](MeApi.md#update_address) | **PUT** /me/addresses/{addressID} | 
[**update_credit_card**](MeApi.md#update_credit_card) | **PUT** /me/creditcards/{creditcardID} | 


# **create_address**
> BuyerAddress create_address(address)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

address = OrderCloud::BuyerAddress.new # BuyerAddress | 


begin
  result = api_instance.create_address(address)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->create_address: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **address** | [**BuyerAddress**](BuyerAddress.md)|  | 

### Return type

[**BuyerAddress**](BuyerAddress.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **create_credit_card**
> BuyerCreditCard create_credit_card(credit_card)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

credit_card = OrderCloud::BuyerCreditCard.new # BuyerCreditCard | 


begin
  result = api_instance.create_credit_card(credit_card)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->create_credit_card: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **credit_card** | [**BuyerCreditCard**](BuyerCreditCard.md)|  | 

### Return type

[**BuyerCreditCard**](BuyerCreditCard.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **delete_address**
> delete_address(address_id)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

address_id = "address_id_example" # String | ID of the address.


begin
  api_instance.delete_address(address_id)
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->delete_address: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **address_id** | **String**| ID of the address. | 

### Return type

nil (empty response body)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **delete_credit_card**
> delete_credit_card(creditcard_id)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

creditcard_id = "creditcard_id_example" # String | ID of the creditcard.


begin
  api_instance.delete_credit_card(creditcard_id)
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->delete_credit_card: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **creditcard_id** | **String**| ID of the creditcard. | 

### Return type

nil (empty response body)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **get**
> MeUser get



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

begin
  result = api_instance.get
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**MeUser**](MeUser.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **get_address**
> BuyerAddress get_address(address_id)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

address_id = "address_id_example" # String | ID of the address.


begin
  result = api_instance.get_address(address_id)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->get_address: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **address_id** | **String**| ID of the address. | 

### Return type

[**BuyerAddress**](BuyerAddress.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **get_catalog**
> Catalog get_catalog(catalog_id)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

catalog_id = "catalog_id_example" # String | ID of the catalog.


begin
  result = api_instance.get_catalog(catalog_id)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->get_catalog: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **catalog_id** | **String**| ID of the catalog. | 

### Return type

[**Catalog**](Catalog.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **get_credit_card**
> BuyerCreditCard get_credit_card(creditcard_id)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

creditcard_id = "creditcard_id_example" # String | ID of the creditcard.


begin
  result = api_instance.get_credit_card(creditcard_id)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->get_credit_card: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **creditcard_id** | **String**| ID of the creditcard. | 

### Return type

[**BuyerCreditCard**](BuyerCreditCard.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **get_product**
> BuyerProduct get_product(product_id)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

product_id = "product_id_example" # String | ID of the product.


begin
  result = api_instance.get_product(product_id)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->get_product: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **product_id** | **String**| ID of the product. | 

### Return type

[**BuyerProduct**](BuyerProduct.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **get_promotion**
> Promotion get_promotion(promotion_id)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

promotion_id = "promotion_id_example" # String | ID of the promotion.


begin
  result = api_instance.get_promotion(promotion_id)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->get_promotion: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **promotion_id** | **String**| ID of the promotion. | 

### Return type

[**Promotion**](Promotion.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **get_shipment**
> BuyerShipment get_shipment(shipment_id)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

shipment_id = "shipment_id_example" # String | ID of the shipment.


begin
  result = api_instance.get_shipment(shipment_id)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->get_shipment: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **shipment_id** | **String**| ID of the shipment. | 

### Return type

[**BuyerShipment**](BuyerShipment.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **get_spec**
> BuyerSpec get_spec(product_id, spec_id, opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

product_id = "product_id_example" # String | ID of the product.

spec_id = "spec_id_example" # String | ID of the spec.

opts = { 
  catalog_id: "catalog_id_example" # String | ID of the catalog.
}

begin
  result = api_instance.get_spec(product_id, spec_id, opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->get_spec: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **product_id** | **String**| ID of the product. | 
 **spec_id** | **String**| ID of the spec. | 
 **catalog_id** | **String**| ID of the catalog. | [optional] 

### Return type

[**BuyerSpec**](BuyerSpec.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **get_spending_account**
> SpendingAccount get_spending_account(spending_account_id)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

spending_account_id = "spending_account_id_example" # String | ID of the spending account.


begin
  result = api_instance.get_spending_account(spending_account_id)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->get_spending_account: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **spending_account_id** | **String**| ID of the spending account. | 

### Return type

[**SpendingAccount**](SpendingAccount.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_addresses**
> ListBuyerAddress list_addresses(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

opts = { 
  search: "search_example", # String | Search of the address.
  search_on: ["search_on_example"], # Array<String> | Search on of the address.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the address.
  page: 56, # Integer | Page of the address.
  page_size: 56, # Integer | Page size of the address.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the address.
}

begin
  result = api_instance.list_addresses(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->list_addresses: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **search** | **String**| Search of the address. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the address. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the address. | [optional] 
 **page** | **Integer**| Page of the address. | [optional] 
 **page_size** | **Integer**| Page size of the address. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the address. | [optional] 

### Return type

[**ListBuyerAddress**](ListBuyerAddress.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_approvable_orders**
> ListOrder list_approvable_orders(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

opts = { 
  from: "from_example", # String | Lower bound of date range that the order was created (if outgoing) or submitted (if incoming).
  to: "to_example", # String | Upper bound of date range that the order was created (if outgoing) or submitted (if incoming).
  search: "search_example", # String | Search of the order.
  search_on: ["search_on_example"], # Array<String> | Search on of the order.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the order.
  page: 56, # Integer | Page of the order.
  page_size: 56, # Integer | Page size of the order.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the order.
}

begin
  result = api_instance.list_approvable_orders(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->list_approvable_orders: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **from** | **String**| Lower bound of date range that the order was created (if outgoing) or submitted (if incoming). | [optional] 
 **to** | **String**| Upper bound of date range that the order was created (if outgoing) or submitted (if incoming). | [optional] 
 **search** | **String**| Search of the order. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the order. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the order. | [optional] 
 **page** | **Integer**| Page of the order. | [optional] 
 **page_size** | **Integer**| Page size of the order. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the order. | [optional] 

### Return type

[**ListOrder**](ListOrder.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_catalogs**
> ListCatalog list_catalogs(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

opts = { 
  search: "search_example", # String | Search of the catalog.
  search_on: ["search_on_example"], # Array<String> | Search on of the catalog.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the catalog.
  page: 56, # Integer | Page of the catalog.
  page_size: 56, # Integer | Page size of the catalog.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the catalog.
}

begin
  result = api_instance.list_catalogs(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->list_catalogs: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **search** | **String**| Search of the catalog. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the catalog. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the catalog. | [optional] 
 **page** | **Integer**| Page of the catalog. | [optional] 
 **page_size** | **Integer**| Page size of the catalog. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the catalog. | [optional] 

### Return type

[**ListCatalog**](ListCatalog.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_categories**
> ListCategory list_categories(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

opts = { 
  depth: "depth_example", # String | Depth of the category.
  catalog_id: "catalog_id_example", # String | ID of the catalog.
  search: "search_example", # String | Search of the category.
  search_on: ["search_on_example"], # Array<String> | Search on of the category.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the category.
  page: 56, # Integer | Page of the category.
  page_size: 56, # Integer | Page size of the category.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the category.
}

begin
  result = api_instance.list_categories(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->list_categories: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **depth** | **String**| Depth of the category. | [optional] 
 **catalog_id** | **String**| ID of the catalog. | [optional] 
 **search** | **String**| Search of the category. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the category. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the category. | [optional] 
 **page** | **Integer**| Page of the category. | [optional] 
 **page_size** | **Integer**| Page size of the category. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the category. | [optional] 

### Return type

[**ListCategory**](ListCategory.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_cost_centers**
> ListCostCenter list_cost_centers(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

opts = { 
  search: "search_example", # String | Search of the cost center.
  search_on: ["search_on_example"], # Array<String> | Search on of the cost center.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the cost center.
  page: 56, # Integer | Page of the cost center.
  page_size: 56, # Integer | Page size of the cost center.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the cost center.
}

begin
  result = api_instance.list_cost_centers(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->list_cost_centers: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **search** | **String**| Search of the cost center. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the cost center. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the cost center. | [optional] 
 **page** | **Integer**| Page of the cost center. | [optional] 
 **page_size** | **Integer**| Page size of the cost center. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the cost center. | [optional] 

### Return type

[**ListCostCenter**](ListCostCenter.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_credit_cards**
> ListBuyerCreditCard list_credit_cards(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

opts = { 
  search: "search_example", # String | Search of the credit card.
  search_on: ["search_on_example"], # Array<String> | Search on of the credit card.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the credit card.
  page: 56, # Integer | Page of the credit card.
  page_size: 56, # Integer | Page size of the credit card.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the credit card.
}

begin
  result = api_instance.list_credit_cards(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->list_credit_cards: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **search** | **String**| Search of the credit card. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the credit card. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the credit card. | [optional] 
 **page** | **Integer**| Page of the credit card. | [optional] 
 **page_size** | **Integer**| Page size of the credit card. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the credit card. | [optional] 

### Return type

[**ListBuyerCreditCard**](ListBuyerCreditCard.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_orders**
> ListOrder list_orders(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

opts = { 
  from: "from_example", # String | Lower bound of date range that the order was created (if outgoing) or submitted (if incoming).
  to: "to_example", # String | Upper bound of date range that the order was created (if outgoing) or submitted (if incoming).
  search: "search_example", # String | Search of the order.
  search_on: ["search_on_example"], # Array<String> | Search on of the order.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the order.
  page: 56, # Integer | Page of the order.
  page_size: 56, # Integer | Page size of the order.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the order.
}

begin
  result = api_instance.list_orders(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->list_orders: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **from** | **String**| Lower bound of date range that the order was created (if outgoing) or submitted (if incoming). | [optional] 
 **to** | **String**| Upper bound of date range that the order was created (if outgoing) or submitted (if incoming). | [optional] 
 **search** | **String**| Search of the order. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the order. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the order. | [optional] 
 **page** | **Integer**| Page of the order. | [optional] 
 **page_size** | **Integer**| Page size of the order. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the order. | [optional] 

### Return type

[**ListOrder**](ListOrder.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_products**
> ListBuyerProduct list_products(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

opts = { 
  catalog_id: "catalog_id_example", # String | ID of the catalog.
  category_id: "category_id_example", # String | ID of the category.
  depth: "depth_example", # String | Depth of the product.
  search: "search_example", # String | Search of the product.
  search_on: ["search_on_example"], # Array<String> | Search on of the product.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the product.
  page: 56, # Integer | Page of the product.
  page_size: 56, # Integer | Page size of the product.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the product.
}

begin
  result = api_instance.list_products(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->list_products: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **catalog_id** | **String**| ID of the catalog. | [optional] 
 **category_id** | **String**| ID of the category. | [optional] 
 **depth** | **String**| Depth of the product. | [optional] 
 **search** | **String**| Search of the product. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the product. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the product. | [optional] 
 **page** | **Integer**| Page of the product. | [optional] 
 **page_size** | **Integer**| Page size of the product. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the product. | [optional] 

### Return type

[**ListBuyerProduct**](ListBuyerProduct.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_promotions**
> ListPromotion list_promotions(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

opts = { 
  search: "search_example", # String | Search of the promotion.
  search_on: ["search_on_example"], # Array<String> | Search on of the promotion.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the promotion.
  page: 56, # Integer | Page of the promotion.
  page_size: 56, # Integer | Page size of the promotion.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the promotion.
}

begin
  result = api_instance.list_promotions(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->list_promotions: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **search** | **String**| Search of the promotion. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the promotion. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the promotion. | [optional] 
 **page** | **Integer**| Page of the promotion. | [optional] 
 **page_size** | **Integer**| Page size of the promotion. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the promotion. | [optional] 

### Return type

[**ListPromotion**](ListPromotion.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_shipment_items**
> ListShipmentItem list_shipment_items(shipment_id, opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

shipment_id = "shipment_id_example" # String | ID of the shipment.

opts = { 
  order_id: "order_id_example", # String | ID of the order.
  search: "search_example", # String | Search of the shipment.
  search_on: ["search_on_example"], # Array<String> | Search on of the shipment.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the shipment.
  page: 56, # Integer | Page of the shipment.
  page_size: 56, # Integer | Page size of the shipment.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the shipment.
}

begin
  result = api_instance.list_shipment_items(shipment_id, opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->list_shipment_items: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **shipment_id** | **String**| ID of the shipment. | 
 **order_id** | **String**| ID of the order. | [optional] 
 **search** | **String**| Search of the shipment. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the shipment. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the shipment. | [optional] 
 **page** | **Integer**| Page of the shipment. | [optional] 
 **page_size** | **Integer**| Page size of the shipment. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the shipment. | [optional] 

### Return type

[**ListShipmentItem**](ListShipmentItem.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_shipments**
> ListBuyerShipment list_shipments(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

opts = { 
  order_id: "order_id_example", # String | ID of the order.
  search: "search_example", # String | Search of the shipment.
  search_on: ["search_on_example"], # Array<String> | Search on of the shipment.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the shipment.
  page: 56, # Integer | Page of the shipment.
  page_size: 56, # Integer | Page size of the shipment.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the shipment.
}

begin
  result = api_instance.list_shipments(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->list_shipments: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **order_id** | **String**| ID of the order. | [optional] 
 **search** | **String**| Search of the shipment. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the shipment. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the shipment. | [optional] 
 **page** | **Integer**| Page of the shipment. | [optional] 
 **page_size** | **Integer**| Page size of the shipment. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the shipment. | [optional] 

### Return type

[**ListBuyerShipment**](ListBuyerShipment.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_specs**
> ListBuyerSpec list_specs(product_id, opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

product_id = "product_id_example" # String | ID of the product.

opts = { 
  catalog_id: "catalog_id_example", # String | ID of the catalog.
  search: "search_example", # String | Search of the product.
  search_on: ["search_on_example"], # Array<String> | Search on of the product.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the product.
  page: 56, # Integer | Page of the product.
  page_size: 56, # Integer | Page size of the product.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the product.
}

begin
  result = api_instance.list_specs(product_id, opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->list_specs: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **product_id** | **String**| ID of the product. | 
 **catalog_id** | **String**| ID of the catalog. | [optional] 
 **search** | **String**| Search of the product. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the product. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the product. | [optional] 
 **page** | **Integer**| Page of the product. | [optional] 
 **page_size** | **Integer**| Page size of the product. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the product. | [optional] 

### Return type

[**ListBuyerSpec**](ListBuyerSpec.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_spending_accounts**
> ListSpendingAccount list_spending_accounts(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

opts = { 
  search: "search_example", # String | Search of the spending account.
  search_on: ["search_on_example"], # Array<String> | Search on of the spending account.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the spending account.
  page: 56, # Integer | Page of the spending account.
  page_size: 56, # Integer | Page size of the spending account.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the spending account.
}

begin
  result = api_instance.list_spending_accounts(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->list_spending_accounts: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **search** | **String**| Search of the spending account. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the spending account. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the spending account. | [optional] 
 **page** | **Integer**| Page of the spending account. | [optional] 
 **page_size** | **Integer**| Page size of the spending account. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the spending account. | [optional] 

### Return type

[**ListSpendingAccount**](ListSpendingAccount.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_user_groups**
> ListUserGroup list_user_groups(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

opts = { 
  search: "search_example", # String | Search of the user group.
  search_on: ["search_on_example"], # Array<String> | Search on of the user group.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the user group.
  page: 56, # Integer | Page of the user group.
  page_size: 56, # Integer | Page size of the user group.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the user group.
}

begin
  result = api_instance.list_user_groups(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->list_user_groups: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **search** | **String**| Search of the user group. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the user group. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the user group. | [optional] 
 **page** | **Integer**| Page of the user group. | [optional] 
 **page_size** | **Integer**| Page size of the user group. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the user group. | [optional] 

### Return type

[**ListUserGroup**](ListUserGroup.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **patch**
> MeUser patch(user)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

user = OrderCloud::User.new # User | 


begin
  result = api_instance.patch(user)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **user** | [**User**](User.md)|  | 

### Return type

[**MeUser**](MeUser.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **patch_address**
> patch_address(address_id, address)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

address_id = "address_id_example" # String | ID of the address.

address = OrderCloud::Address.new # Address | 


begin
  api_instance.patch_address(address_id, address)
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->patch_address: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **address_id** | **String**| ID of the address. | 
 **address** | [**Address**](Address.md)|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **patch_credit_card**
> patch_credit_card(creditcard_id, credit_card)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

creditcard_id = "creditcard_id_example" # String | ID of the creditcard.

credit_card = OrderCloud::CreditCard.new # CreditCard | 


begin
  api_instance.patch_credit_card(creditcard_id, credit_card)
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->patch_credit_card: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **creditcard_id** | **String**| ID of the creditcard. | 
 **credit_card** | [**CreditCard**](CreditCard.md)|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **register**
> Object register(anon_user_token, user)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

anon_user_token = "anon_user_token_example" # String | Anon user token of the me.

user = OrderCloud::User.new # User | 


begin
  result = api_instance.register(anon_user_token, user)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->register: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **anon_user_token** | **String**| Anon user token of the me. | 
 **user** | [**User**](User.md)|  | 

### Return type

**Object**

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **reset_password_by_token**
> reset_password_by_token(reset)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

reset = OrderCloud::TokenPasswordReset.new # TokenPasswordReset | 


begin
  api_instance.reset_password_by_token(reset)
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->reset_password_by_token: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **reset** | [**TokenPasswordReset**](TokenPasswordReset.md)|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **transfer_anon_user_order**
> transfer_anon_user_order(anon_user_token)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

anon_user_token = "anon_user_token_example" # String | Anon user token of the me.


begin
  api_instance.transfer_anon_user_order(anon_user_token)
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->transfer_anon_user_order: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **anon_user_token** | **String**| Anon user token of the me. | 

### Return type

nil (empty response body)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **update**
> MeUser update(user)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

user = OrderCloud::User.new # User | 


begin
  result = api_instance.update(user)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->update: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **user** | [**User**](User.md)|  | 

### Return type

[**MeUser**](MeUser.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **update_address**
> BuyerAddress update_address(address_id, address)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

address_id = "address_id_example" # String | ID of the address.

address = OrderCloud::BuyerAddress.new # BuyerAddress | 


begin
  result = api_instance.update_address(address_id, address)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->update_address: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **address_id** | **String**| ID of the address. | 
 **address** | [**BuyerAddress**](BuyerAddress.md)|  | 

### Return type

[**BuyerAddress**](BuyerAddress.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **update_credit_card**
> BuyerCreditCard update_credit_card(creditcard_id, credit_card)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MeApi.new

creditcard_id = "creditcard_id_example" # String | ID of the creditcard.

credit_card = OrderCloud::BuyerCreditCard.new # BuyerCreditCard | 


begin
  result = api_instance.update_credit_card(creditcard_id, credit_card)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MeApi->update_credit_card: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **creditcard_id** | **String**| ID of the creditcard. | 
 **credit_card** | [**BuyerCreditCard**](BuyerCreditCard.md)|  | 

### Return type

[**BuyerCreditCard**](BuyerCreditCard.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



