# OrderCloud::MessageSendersApi

All URIs are relative to *https://api.ordercloud.io/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**delete_assignment**](MessageSendersApi.md#delete_assignment) | **DELETE** /messagesenders/{messageSenderID}/assignments | 
[**get**](MessageSendersApi.md#get) | **GET** /messagesenders/{messageSenderID} | 
[**list**](MessageSendersApi.md#list) | **GET** /messagesenders | 
[**list_assignments**](MessageSendersApi.md#list_assignments) | **GET** /messagesenders/assignments | 
[**list_cc_listener_assignments**](MessageSendersApi.md#list_cc_listener_assignments) | **GET** /messagesenders/CCListenerAssignments | 
[**save_assignment**](MessageSendersApi.md#save_assignment) | **POST** /messagesenders/assignments | 
[**save_cc_listener_assignment**](MessageSendersApi.md#save_cc_listener_assignment) | **POST** /messagesenders/CCListenerAssignments | 


# **delete_assignment**
> delete_assignment(message_sender_id, opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MessageSendersApi.new

message_sender_id = "message_sender_id_example" # String | ID of the message sender.

opts = { 
  buyer_id: "buyer_id_example", # String | ID of the buyer.
  user_id: "user_id_example", # String | ID of the user.
  user_group_id: "user_group_id_example" # String | ID of the user group.
}

begin
  api_instance.delete_assignment(message_sender_id, opts)
rescue OrderCloud::ApiError => e
  puts "Exception when calling MessageSendersApi->delete_assignment: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **message_sender_id** | **String**| ID of the message sender. | 
 **buyer_id** | **String**| ID of the buyer. | [optional] 
 **user_id** | **String**| ID of the user. | [optional] 
 **user_group_id** | **String**| ID of the user group. | [optional] 

### Return type

nil (empty response body)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **get**
> MessageSender get(message_sender_id)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MessageSendersApi.new

message_sender_id = "message_sender_id_example" # String | ID of the message sender.


begin
  result = api_instance.get(message_sender_id)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MessageSendersApi->get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **message_sender_id** | **String**| ID of the message sender. | 

### Return type

[**MessageSender**](MessageSender.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list**
> ListMessageSender list(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MessageSendersApi.new

opts = { 
  search: "search_example", # String | Search of the message sender.
  search_on: ["search_on_example"], # Array<String> | Search on of the message sender.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the message sender.
  page: 56, # Integer | Page of the message sender.
  page_size: 56, # Integer | Page size of the message sender.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the message sender.
}

begin
  result = api_instance.list(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MessageSendersApi->list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **search** | **String**| Search of the message sender. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the message sender. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the message sender. | [optional] 
 **page** | **Integer**| Page of the message sender. | [optional] 
 **page_size** | **Integer**| Page size of the message sender. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the message sender. | [optional] 

### Return type

[**ListMessageSender**](ListMessageSender.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_assignments**
> ListMessageSenderAssignment list_assignments(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MessageSendersApi.new

opts = { 
  buyer_id: "buyer_id_example", # String | ID of the buyer.
  message_sender_id: "message_sender_id_example", # String | ID of the message sender.
  user_id: "user_id_example", # String | ID of the user.
  user_group_id: "user_group_id_example", # String | ID of the user group.
  level: "level_example", # String | Level of the message sender.
  page: 56, # Integer | Page of the message sender.
  page_size: 56 # Integer | Page size of the message sender.
}

begin
  result = api_instance.list_assignments(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MessageSendersApi->list_assignments: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **buyer_id** | **String**| ID of the buyer. | [optional] 
 **message_sender_id** | **String**| ID of the message sender. | [optional] 
 **user_id** | **String**| ID of the user. | [optional] 
 **user_group_id** | **String**| ID of the user group. | [optional] 
 **level** | **String**| Level of the message sender. | [optional] 
 **page** | **Integer**| Page of the message sender. | [optional] 
 **page_size** | **Integer**| Page size of the message sender. | [optional] 

### Return type

[**ListMessageSenderAssignment**](ListMessageSenderAssignment.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list_cc_listener_assignments**
> ListMessageCCListenerAssignment list_cc_listener_assignments(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MessageSendersApi.new

opts = { 
  search: "search_example", # String | Search of the message sender.
  search_on: ["search_on_example"], # Array<String> | Search on of the message sender.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the message sender.
  page: 56, # Integer | Page of the message sender.
  page_size: 56, # Integer | Page size of the message sender.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the message sender.
}

begin
  result = api_instance.list_cc_listener_assignments(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling MessageSendersApi->list_cc_listener_assignments: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **search** | **String**| Search of the message sender. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the message sender. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the message sender. | [optional] 
 **page** | **Integer**| Page of the message sender. | [optional] 
 **page_size** | **Integer**| Page size of the message sender. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the message sender. | [optional] 

### Return type

[**ListMessageCCListenerAssignment**](ListMessageCCListenerAssignment.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **save_assignment**
> save_assignment(assignment)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MessageSendersApi.new

assignment = OrderCloud::MessageSenderAssignment.new # MessageSenderAssignment | 


begin
  api_instance.save_assignment(assignment)
rescue OrderCloud::ApiError => e
  puts "Exception when calling MessageSendersApi->save_assignment: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **assignment** | [**MessageSenderAssignment**](MessageSenderAssignment.md)|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **save_cc_listener_assignment**
> save_cc_listener_assignment(assignment)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::MessageSendersApi.new

assignment = OrderCloud::MessageCCListenerAssignment.new # MessageCCListenerAssignment | 


begin
  api_instance.save_cc_listener_assignment(assignment)
rescue OrderCloud::ApiError => e
  puts "Exception when calling MessageSendersApi->save_cc_listener_assignment: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **assignment** | [**MessageCCListenerAssignment**](MessageCCListenerAssignment.md)|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



