# OrderCloud::PasswordResetApi

All URIs are relative to *https://api.ordercloud.io/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**reset_password_by_verification_code**](PasswordResetApi.md#reset_password_by_verification_code) | **PUT** /password/reset/{verificationCode} | 
[**send_verification_code**](PasswordResetApi.md#send_verification_code) | **POST** /password/reset | 


# **reset_password_by_verification_code**
> reset_password_by_verification_code(verification_code, password_reset)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::PasswordResetApi.new

verification_code = "verification_code_example" # String | Verification code of the forgotten password.

password_reset = OrderCloud::PasswordReset.new # PasswordReset | 


begin
  api_instance.reset_password_by_verification_code(verification_code, password_reset)
rescue OrderCloud::ApiError => e
  puts "Exception when calling PasswordResetApi->reset_password_by_verification_code: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **verification_code** | **String**| Verification code of the forgotten password. | 
 **password_reset** | [**PasswordReset**](PasswordReset.md)|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **send_verification_code**
> send_verification_code(password_reset_request)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::PasswordResetApi.new

password_reset_request = OrderCloud::PasswordResetRequest.new # PasswordResetRequest | 


begin
  api_instance.send_verification_code(password_reset_request)
rescue OrderCloud::ApiError => e
  puts "Exception when calling PasswordResetApi->send_verification_code: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **password_reset_request** | [**PasswordResetRequest**](PasswordResetRequest.md)|  | 

### Return type

nil (empty response body)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



