# OrderCloud::PriceScheduleApi

All URIs are relative to *https://api.ordercloud.io/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](PriceScheduleApi.md#create) | **POST** /priceschedules | 
[**delete**](PriceScheduleApi.md#delete) | **DELETE** /priceschedules/{priceScheduleID} | 
[**delete_price_break**](PriceScheduleApi.md#delete_price_break) | **DELETE** /priceschedules/{priceScheduleID}/PriceBreaks | 
[**get**](PriceScheduleApi.md#get) | **GET** /priceschedules/{priceScheduleID} | 
[**list**](PriceScheduleApi.md#list) | **GET** /priceschedules | 
[**patch**](PriceScheduleApi.md#patch) | **PATCH** /priceschedules/{priceScheduleID} | 
[**save_price_break**](PriceScheduleApi.md#save_price_break) | **POST** /priceschedules/{priceScheduleID}/PriceBreaks | 
[**update**](PriceScheduleApi.md#update) | **PUT** /priceschedules/{priceScheduleID} | 


# **create**
> PriceSchedule create(price_schedule)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::PriceScheduleApi.new

price_schedule = OrderCloud::PriceSchedule.new # PriceSchedule | 


begin
  result = api_instance.create(price_schedule)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling PriceScheduleApi->create: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **price_schedule** | [**PriceSchedule**](PriceSchedule.md)|  | 

### Return type

[**PriceSchedule**](PriceSchedule.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **delete**
> delete(price_schedule_id)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::PriceScheduleApi.new

price_schedule_id = "price_schedule_id_example" # String | ID of the price schedule.


begin
  api_instance.delete(price_schedule_id)
rescue OrderCloud::ApiError => e
  puts "Exception when calling PriceScheduleApi->delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **price_schedule_id** | **String**| ID of the price schedule. | 

### Return type

nil (empty response body)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **delete_price_break**
> delete_price_break(price_schedule_id, quantity)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::PriceScheduleApi.new

price_schedule_id = "price_schedule_id_example" # String | ID of the price schedule.

quantity = 56 # Integer | Quantity of the price schedule.


begin
  api_instance.delete_price_break(price_schedule_id, quantity)
rescue OrderCloud::ApiError => e
  puts "Exception when calling PriceScheduleApi->delete_price_break: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **price_schedule_id** | **String**| ID of the price schedule. | 
 **quantity** | **Integer**| Quantity of the price schedule. | 

### Return type

nil (empty response body)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **get**
> PriceSchedule get(price_schedule_id)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::PriceScheduleApi.new

price_schedule_id = "price_schedule_id_example" # String | ID of the price schedule.


begin
  result = api_instance.get(price_schedule_id)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling PriceScheduleApi->get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **price_schedule_id** | **String**| ID of the price schedule. | 

### Return type

[**PriceSchedule**](PriceSchedule.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **list**
> ListPriceSchedule list(opts)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::PriceScheduleApi.new

opts = { 
  search: "search_example", # String | Search of the price schedule.
  search_on: ["search_on_example"], # Array<String> | Search on of the price schedule.
  sort_by: ["sort_by_example"], # Array<String> | Sort by of the price schedule.
  page: 56, # Integer | Page of the price schedule.
  page_size: 56, # Integer | Page size of the price schedule.
  filters: {'key' => "filters_example"} # Hash<String, String> | Filters of the price schedule.
}

begin
  result = api_instance.list(opts)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling PriceScheduleApi->list: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **search** | **String**| Search of the price schedule. | [optional] 
 **search_on** | [**Array&lt;String&gt;**](String.md)| Search on of the price schedule. | [optional] 
 **sort_by** | [**Array&lt;String&gt;**](String.md)| Sort by of the price schedule. | [optional] 
 **page** | **Integer**| Page of the price schedule. | [optional] 
 **page_size** | **Integer**| Page size of the price schedule. | [optional] 
 **filters** | [**Hash&lt;String, String&gt;**](String.md)| Filters of the price schedule. | [optional] 

### Return type

[**ListPriceSchedule**](ListPriceSchedule.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **patch**
> PriceSchedule patch(price_schedule_id, price_schedule)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::PriceScheduleApi.new

price_schedule_id = "price_schedule_id_example" # String | ID of the price schedule.

price_schedule = OrderCloud::PriceSchedule.new # PriceSchedule | 


begin
  result = api_instance.patch(price_schedule_id, price_schedule)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling PriceScheduleApi->patch: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **price_schedule_id** | **String**| ID of the price schedule. | 
 **price_schedule** | [**PriceSchedule**](PriceSchedule.md)|  | 

### Return type

[**PriceSchedule**](PriceSchedule.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **save_price_break**
> PriceSchedule save_price_break(price_schedule_id, price_break)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::PriceScheduleApi.new

price_schedule_id = "price_schedule_id_example" # String | ID of the price schedule.

price_break = OrderCloud::PriceBreak.new # PriceBreak | 


begin
  result = api_instance.save_price_break(price_schedule_id, price_break)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling PriceScheduleApi->save_price_break: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **price_schedule_id** | **String**| ID of the price schedule. | 
 **price_break** | [**PriceBreak**](PriceBreak.md)|  | 

### Return type

[**PriceSchedule**](PriceSchedule.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



# **update**
> PriceSchedule update(price_schedule_id, price_schedule)



### Example
```ruby
# load the gem
require 'order_cloud'
# setup authorization
OrderCloud.configure do |config|
  # Configure OAuth2 access token for authorization: oauth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = OrderCloud::PriceScheduleApi.new

price_schedule_id = "price_schedule_id_example" # String | ID of the price schedule.

price_schedule = OrderCloud::PriceSchedule.new # PriceSchedule | 


begin
  result = api_instance.update(price_schedule_id, price_schedule)
  p result
rescue OrderCloud::ApiError => e
  puts "Exception when calling PriceScheduleApi->update: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **price_schedule_id** | **String**| ID of the price schedule. | 
 **price_schedule** | [**PriceSchedule**](PriceSchedule.md)|  | 

### Return type

[**PriceSchedule**](PriceSchedule.md)

### Authorization

[oauth2](../README.md#oauth2)

### HTTP request headers

 - **Content-Type**: application/json, text/plain; charset=utf-8
 - **Accept**: application/json



